<template>
    <div>
        <div class="titulo">
            <div class="ruta">
                <v-breadcrumbs :items="breadcrumbs" :large="false">
                    <template v-slot:divider>
                        <v-icon>mdi-chevron-right</v-icon>
                    </template>
                </v-breadcrumbs>
            </div>
        <strong>Reporte de hallazgos por negocio</strong>
        </div>
        <div class="contSecc">

            <resumen-hallazgos-negocio
                :negocio = negocio
                :fechaInicio = fechaInicio
                :fechaFin = fechaFin 
                />

            <div class="titSec">

                <strong>Detalle de hallazgos por sucursales</strong>
                
            </div>

           <div style="background: #fafafa; padding: 25px 50px 25px 50px" >

                <expandable-table-hallazgos
                    :negocio = negocio
                    :fechaInicio = fechaInicio
                    :fechaFin = fechaFin 
                ></expandable-table-hallazgos>
            </div>

            

            
        </div> 
    </div>     
</template>
<script>
import router from "@/router";
import ExpandableTableHallazgos from '@//views/secure/infraestructura/components/ExpandableTableHallazgos';
import ResumenHallazgosNegocio from "@/views/secure/infraestructura/components/ResumenHallazgosNegocio";
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
    
    components: {
            ResumenHallazgosNegocio,
            ExpandableTableHallazgos
        
    },
    created() {

        const dataBusqueda = serviceCommons.base64ToObject(this.$route.params.datosBusqueda);

        this.fechaInicio = dataBusqueda.fechaInicio;
        this.fechaFin = dataBusqueda.fechaFin;
        this.negocio = dataBusqueda.selectedNegocio;

    },
    data() {
        return {
            breadcrumbs: [
                {
                    text: "Plataforma de Franquicia",
                    disabled: false,
                    exact: true,
                    to: {
                    name: "home",
                    },
                },
                {
                    text: "Modelo de Entrega",
                    disabled: false,
                    exact: true,
                    to: {
                    name: "modelo_entrega",
                },
                },
                {
                    text: "Busqueda por negocio",
                    disabled: false,
                    exact: true,
                    to: {
                    name: "modelo_franquicia_busqueda_hallazgos_negocio",
                    },
                },
                {
                    text: "Hallazgos por negocio",
                    disabled: true,
                    exact: true
                },
            ],
            negocio : "",
            fechaInicio : "",
            fechaFin : ""

        }
    },

}
</script>